The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

SSL Broke, looking for a place to start looking..

Discussion in 'General Discussion' started by ClearSky, Apr 6, 2006.

  1. ClearSky

    ClearSky Well-Known Member

    Joined:
    Jul 9, 2003
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    Hey guys,

    I've got a site where SSL is flat out broken. You can't connect to it at all. So I'm looking for some likely places to search out my problem.

    I've looked at the entry in the apache's conf, the entry looks fine (as far as I can tell of course). In WHM the SSL is listed, and the SSL isn't expired (though if it was it'd just say something in warning in firefox, not show the site down).

    The main domain works just fine, as does the domain using port 80 not 443.

    I'm stumped on where to look first as I'm not getting weird error messages anywhere.

    Any help would be appreciated.
     
  2. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    Was the secure part of the site working, https://DOMAIN? Are you sure the SSL directive in httd.conf correct, the cert and key are not corrupted and uploaded to the server in ASCII mode?
     
  3. ClearSky

    ClearSky Well-Known Member

    Joined:
    Jul 9, 2003
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    Yes it has been working for 3 years now (only down for updating the cert once a year). I have not changed it's entry into httpd.conf, which is what confuses me the most.
     
  4. ClearSky

    ClearSky Well-Known Member

    Joined:
    Jul 9, 2003
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    I did more digging and found a few things, and isolated the problem.

    In WHM, on the news page it doesn't fully show the server software version info, it stops right before OpenSSL, which led me to believe a problem with OpenSSL existed.

    I updated apache and made sure I selected OpenSSL and the other SSL option, and rebuilt. Now SSL worked!

    But, ioncube loader was not installed anymore. So I went into tweak settings and turned on ioncube loader, and it acted like it wasn't there.

    So I go into the php.ini and and find that the zend_extension for it is back to it's default of being commented out and pointing to the zend one. I change it back to Ioncube. And OpenSSL breaks.

    This is where I stand. I can rebuild apache again via the script, with OpenSSL checked. SSL will work again as before, but IonCube won't be installed. If I got install IonCube it will break OpenSSL. I'm pretty stumped on this one, any suggestions anyone?
     
Loading...

Share This Page